> ## Documentation Index
> Fetch the complete documentation index at: https://developers.vendaze.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Buscar produto

> Retorna um produto pelo seu `id` (UUID).

<Accordion title="Escopo necessário">
`products:read`
</Accordion>



## OpenAPI

````yaml /pt/api-reference/openapi.json get /v1/products/{id}
openapi: 3.1.0
info:
  title: OAuth 2.1
  description: Endpoints para registrar aplicativos e gerenciar tokens OAuth 2.1.
  version: 1.0.0
  contact:
    name: Suporte Vendaze
    email: suporte@vendaze.com
servers:
  - url: https://api.vendaze.com
    description: Produção
security:
  - bearerAuth: []
tags:
  - name: OAuth
  - name: Pessoas
  - name: Empresas
  - name: Negócios
  - name: Pipelines
  - name: Tarefas
  - name: Tipos de Tarefas
  - name: Produtos
  - name: Tags
  - name: Listas
  - name: Campos Adicionais
  - name: Webhooks
paths:
  /v1/products/{id}:
    get:
      tags:
        - Produtos
      summary: Buscar produto
      description: |-
        Retorna um produto pelo seu `id` (UUID).

        <Accordion title="Escopo necessário">
        `products:read`
        </Accordion>
      operationId: getProduct
      parameters:
        - $ref: '#/components/parameters/id'
      responses:
        '200':
          description: Produto retornado com sucesso.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProductResponse'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/InsufficientScope'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/InternalError'
components:
  parameters:
    id:
      name: id
      in: path
      required: true
      schema:
        type: string
        format: uuid
      description: UUID do recurso.
  schemas:
    ProductResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/Product'
    Product:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Identificador único.
        name:
          type: string
          maxLength: 80
          description: Nome do produto.
          example: Plano Empresarial
        price_cts:
          type: integer
          description: >-
            Preço em centavos da menor unidade monetária. Ex: `99900` = R$
            999,00.
          example: 99900
        currency:
          $ref: '#/components/schemas/CurrencyCode'
        description:
          type: string
          nullable: true
          maxLength: 1000
          description: Descrição opcional do produto.
          example: Plano completo para grandes equipes.
        image_url:
          type: string
          nullable: true
          description: URL pública da imagem do produto, ou `null` se não houver.
          example: >-
            https://storage.vendaze.com/client/workspaces/abc/products/xyz/image/avatar_Ab1Cd2Ef3G.webp
        code:
          type: string
          nullable: true
          maxLength: 60
          description: Código interno ou SKU do produto.
          example: PLANO-EMP
        is_active:
          type: boolean
          description: Se o produto está ativo.
          example: true
        billing_cycle:
          type: string
          enum:
            - one_time
            - monthly
            - quarterly
            - annually
          description: Ciclo de cobrança do produto.
          example: monthly
        created_at:
          type: string
          format: date-time
          description: Data de criação em ISO 8601 UTC.
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
            request_id:
              type: string
              format: uuid
    CurrencyCode:
      type: string
      description: Código ISO 4217 de moeda suportado pela Vendaze.
      enum:
        - AED
        - ARS
        - AUD
        - BRL
        - CAD
        - CHF
        - CLP
        - CNY
        - COP
        - DKK
        - EGP
        - EUR
        - GBP
        - HKD
        - ILS
        - INR
        - JPY
        - KWD
        - MAD
        - MXN
        - MYR
        - NGN
        - NOK
        - NZD
        - PEN
        - QAR
        - SAR
        - SEK
        - SGD
        - TRY
        - USD
        - UYU
        - ZAR
      example: BRL
  responses:
    Unauthorized:
      description: >-
        Token ausente, inválido ou expirado. Códigos possíveis: `unauthorized`,
        `token_expired`.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error:
              code: unauthorized
              message: Missing or invalid Authorization header.
              request_id: 550e8400-e29b-41d4-a716-446655440000
    InsufficientScope:
      description: 'Token sem o escopo necessário. Código de erro: `insufficient_scope`.'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error:
              code: insufficient_scope
              message: This endpoint requires the 'webhooks:read' scope.
              request_id: 550e8400-e29b-41d4-a716-446655440000
    NotFound:
      description: >-
        Webhook não encontrado ou pertence a outra integração. Código:
        `not_found`. Mensagem: `"Webhook not found."`
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error:
              code: not_found
              message: Webhook not found.
              request_id: 550e8400-e29b-41d4-a716-446655440000
    InternalError:
      description: 'Erro interno inesperado. Código: `internal_error`.'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error:
              code: internal_error
              message: An unexpected error occurred.
              request_id: 550e8400-e29b-41d4-a716-446655440000
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Access token OAuth 2.1.

````